%global pypi_name authheaders

Name:           python-%{pypi_name}
Version:        0.15.3
Release:    1%{?dist}
Summary:        A library wrapping email authentication header verification and generation

License:        MIT and ZPL-2.1
URL:            https://github.com/ValiMail/authentication-headers
Source0:        %{pypi_source}
BuildArch:      noarch

BuildRequires:  python3-devel

%description
%{summary}.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
Requires:       publicsuffix-list

%description -n python3-%{pypi_name}
%{summary}.


%prep
%autosetup -n %{pypi_name}-%{version}
rm -f %{pypi_name}/public_suffix_list.txt
ln -s %{_datadir}/publicsuffix/public_suffix_list.dat %{pypi_name}/public_suffix_list.txt

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

ln -srf %{buildroot}%{_datadir}/publicsuffix/public_suffix_list.dat %{buildroot}%{python3_sitelib}/%{pypi_name}/public_suffix_list.txt

%check
PYTHONPATH=. %{__python3} %{pypi_name}/test/test_authentication.py -v

%files -n python3-%{pypi_name} -f %{pyproject_files}
%doc README.md CHANGES
%license COPYING
%{_bindir}/dmarc-policy-find

%changelog
* Thu Jun 27 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.15.3-1
- initial build
